
package fred;

import java.io.File;

public class Walk {
    private int nb_items = 0;
    
    private void walk(File file) {
	if(file.isDirectory()) {
	    System.out.println(file.getName());
	    File[] files = file.listFiles();
	    for(File sub : files) {
		walk(sub);
	    }
	}
	else System.out.println("-- file -- " + file.getName());
	nb_items++;
    }
    
    public int getNbItems() {
	return nb_items;
    }
    
    public static void main(String[] args) {
	String root = "C:"  + File.separator + "temp";
	Walk w = new Walk();
	w.walk(new File(root));
	System.out.println(root + " compte " + w.getNbItems() + " items");
    }
}
